
    Welcome to Dingux-Go

Original Authors of GNU-Go

  Man Li, Wayne Iba, Daniel Bump, David Denholm, Gunnar Farneback, Nils
  Lohner, Jerome Dumonteil, Tommy Thorn, Nicklas Ekstrand, Inge Wallin, Thomas
  Traber, Douglas Ridgway, Teun Burgers, Tanguy Urvoy, Thien-Thi Nguyen, Heikki
  Levanto, Mark Vytlacil, Adriaan van Kessel, Wolfgang Manner, Jens Yllman, Don
  Dailey, Mans Ullerstam, Arend Bayer, Trevor Morris, Evan Berggren Daniel,
  Fernando Portela, Paul Pogonyshev, S.P. Lee and Stéphane Nicolet and Martin
  Holters.

Author of the PSP and Dingux port version 

  Ludovic.Jacomme also known as Zx-81 (zx81.zx81@gmail.com)


1. INTRODUCTION
   ------------

  GNU-Go is one of the best ascii command line go game running on Windows,
  Unix, Linux and Mac OS X.
  (see http://www.gnu.org/software/gnugo/gnugo.html)

  Dingux-Go is a port on GP2X-Dingux of the version 3.6 of GNU-Go.

  Skins were designed by NinJato, big thanks to him.

  This package is under GPL Copyright, read COPYING file for
  more information about it.


2. INSTALLATION
   ------------

  Unzip the zip file, and copy the content of the directory game to your
  SD memory card.

  For any comments or questions on this version, please visit 
  http://zx81.zx81.free.fr or http://zx81.dcemu.co.uk


3. CONTROL
   ------------

3.1 - Virtual keyboard

  In the chess menu, press Start to open/close
  the On-Screen Keyboard of "Danzel" and "Jeff Chen"

  Use Analog stick to choose one of the 9 squares, and
  use A, B, X, Y to choose one of the 4 letters of the 
  highlighted square.

  You can use this keyboard to specify game filename ...


3.2 - Game Control

  In the game window you have the following mapping :

  A           Valid 
  B           Pass

  X           Undo/Back move
  Y           Next move
 
  L-Trigger   First move
  R-Trigger   Last move
 
  Cursor      Move on the board
  Select      Status
  Menu        Dingux-Go menu
  

4. COMPILATION
   ------------

  It has been developped under Linux using gcc with PSPSDK. 
  To rebuild the homebrew run the Makefile in the src archive.

5. How to play Go ? 
   ------------

  This manual has been written by Hiroki Mori
  (see http://playgo.to/interactive/)
  
  Before you begin, please remember just 3 rules below.
  
  * Two players (black and white) take turns, placing 
    one stone on the board at a time.
  * A stone must be placed on the intersection of the 
    vertical and horizontal lines.
  * Once a stone is placed, you can't move it, although
    under some conditions it may be removed.
  
    They are just too easy, aren't they?
    Now, you understand half the rules of Go! 
  
  The goal of Go 
  --------------
  
  The objective of Go is to make your "territory" larger
  than that of your opponent.  At first, you may be
  confused about where to place your stones because you
  can play almost anywhere on the board.
  
  One way to make territory is to "capture" opponent's
  stones.
  
  Stones that are surrounded are removed from the board
  and are handed to the opponent as prisoners.  Each
  prisoner will be worth one point.
  
  With one more move, the white stone will be completely
  surrounded and will be removed.
  
  Stones that can be removed with one more move are said
  to be in "Atari". 
  
    -|-|-|-   With one more move, the white 
    -|-B-|-   stone will be completely surrounded
    -B-W-B-   and will be removed.
    -|-|-|-   Stones that can be removed with one more
              move are said to be in "Atari"
  
    -|-|-|-   The white stone is now surrounded. 
    -|-B-|-   Therefore ...
    -B-W-B-
    -|-B-|-
  
    -|-|-|-   ... it is removed from the board.
    -|-B-|-
    -B-|-B-
    -|-B-|-
  
    -|-|-|-   If it were white's turn, it could 
    -|-B-|-   "escape" by connecting another stone.
    -B-W-B-
    -|-W-|-
  
  You can play almost anywhere on the board.  However,
  there are some places where the rules say can't play.
  
    -|-|-|-   Black can't make a move at X. (White can.)
    -|-W-|-   Because, if black played there, that
    -W-X-W-   stone would be already surrounded.
    -|-W-|-   Such suicide behavior is forbidden. 
  
    -|-|-|-|-|-|- However, black can play on Y.
    -|-|-W-B-|-|-
    -|-W-Y-W-B-|-
    -|-B-W-B-|-|-
    -|-|-B-|-|-|-
  
    -|-|-|-|-|-|- With a black stone on Y, the two 
    -|-|-W-B-|-|- white stones nearby will be surrounded
    -|-W-B-|-B-|- and be removed.(See figure below.)
    -|-B-|-B-|-|-
    -|-|-B-|-|-|-
  
  Now, I will describe the additional rule called Ko 
  - which means eternity in Japanese.
  
  This is the last rule to remember.  The concept of Ko
  is a little more difficult than the rules described so
  far.
  
  One white stone is in Atari. Get it!  You got it? Then
  watch the board carefully.
  
    -|-|-|-|-  
    -|-B-W-|-  
    -B-W-|-W-  
    -|-B-W-|-  
  
  You will see a black stone that you have just put is
  in Atari!  It would seem that white could capture
  this...
  
  What will happen if white does it?  It will result in
  the same board position of two moves earlier.
  
    -|-|-|-|-  
    -|-B-W-|-  
    -B-|-B-W-  
    -|-B-W-|-  
  
  Thus, both black and white keep capturing one stone
  forever!
  
  Therefore, the moves which produce the same board
  position are prohibited. This concept is called
  Ko (eternity).
  
    -|-|-|-|-  Prohibited !
    -|-B-W-|-  
    -B-W-|-W-  
    -|-B-W-|-  
  
  I hope that you can now appreciate that Go is really
  an interesting and an exciting game. Now, what do you
  have to do to keep playing Go and get stronger ?
  
     Hiroki Mori
  
  
  Thanks Hiroki Mori for this tutorial, we can all 
  enjoy Go Now !
  
         Zx
